﻿/*----------------------------------------------------------------
//  <copyright file="DemoViewConfiguration.cs" company="EaCloud项目团队">
//      Copyright (c) 2020-2021 SeonSoft. All rights reserved.
//  </copyright>
//  <site>http://www.seonsoft.biz</site>
//  <last-editor>Seon.Hu</last-editor>
//  <last-date>2021-10-13 09:20</last-date>
//----------------------------------------------------------------*/

using EaCloud;
using EaCloud.Entity;
using EaCloud.Template.Pack.Demo.Core.Entities;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace EaCloud.Template.Pack.Demo.EntityConfiguration
{
    #region "DemoView实体映射配置"
    /// <summary>
    /// DemoView实体映射配置
    /// </summary>
    public partial class DemoViewConfiguration : EntityTypeConfigurationBase<DemoView, int>
    {
        #region "方法"
        #region "重写以实现实体类型各个属性的数据库配置"
        /// <summary>
        /// 重写以实现实体类型各个属性的数据库配置
        /// </summary>
        /// <param name="builder">实体类型创建器</param>
        public override void Configure(EntityTypeBuilder<DemoView> builder)
        {
            EntityConfigurationAppend(builder);
        }
        #endregion
        #region "额外的数据映射"
        /// <summary>
        /// 额外的数据映射
        /// </summary>
        /// <param name="builder"></param>
        partial void EntityConfigurationAppend(EntityTypeBuilder<DemoView> builder);
        #endregion

        #endregion

    }
    #endregion

}
